Comments
Comments aid conversation and collaboration around workspace datasets. Comments can be made on datasets, or other comments to form threads.
Objects
Comment
| Path | JSON Type | Format | Description |
|---|---|---|---|
id |
string |
Version 4 UUID | The comment ID |
message |
string |
The comment message | |
likeCount |
number |
Unsigned integer | The number of likes the comment has received |
likedByProfiles |
object[] |
Array of Members |
The workspace members that have liked the comment |
created |
string |
ISO 8601 timestamp | Timestamp denoting when the comment was created |
lastModified |
string |
ISO 8601 timestamp | Timestamp denoting when the comment was last modified |
from |
object |
Member |
The comment author |
commentCount |
number |
Unsigned integer | The number of replies the comment has received |
datasetId |
string |
Version 4 UUID | The ID of the dataset comment subject |
parentId |
string |
Version 4 UUID | The ID of the parent comment |
{
"id" : "97760145-1fee-4d78-922a-977832b0eac8",
"message" : "SIT-generated reply Pesho [2026-02-26T16:29:47.107604130] to ",
"likeCount" : 0,
"likedByProfiles" : [ ],
"created" : "2026-02-26T16:29:47.137522",
"lastModified" : "2026-02-26T16:29:47.137523",
"from" : {
"id" : "auth0|5eb0327cbfd7490bff55feeb",
"name" : "[email protected]",
"handle" : "@sit+prod"
},
"commentCount" : 0,
"datasetId" : "e754554c-fe59-4e3f-8230-de415709f4d9",
"_links" : {
"edit-history" : {
"href" : "https://app.matatika.com/api/comments/97760145-1fee-4d78-922a-977832b0eac8/history",
"type" : "GET"
},
"update comment" : {
"href" : "https://app.matatika.com/api/datasets/e754554c-fe59-4e3f-8230-de415709f4d9/comments/97760145-1fee-4d78-922a-977832b0eac8",
"type" : "PUT"
},
"delete comment" : {
"href" : "https://app.matatika.com/api/comments/97760145-1fee-4d78-922a-977832b0eac8",
"type" : "DELETE"
},
"self" : {
"href" : "https://app.matatika.com/api/comments/97760145-1fee-4d78-922a-977832b0eac8"
},
"add like" : {
"href" : "https://app.matatika.com/api/comments/97760145-1fee-4d78-922a-977832b0eac8/like",
"type" : "PUT"
},
"new reply" : {
"href" : "https://app.matatika.com/api/comments/97760145-1fee-4d78-922a-977832b0eac8",
"type" : "POST"
}
}
}
Requests
- View all comments on a dataset
- View a comment
- View the edit history of a comment
- View all replies to a comment
- Initialise a comment on a dataset
- Initialise a reply to a comment
- Create a comment
- Update a comment
- Record a like of a comment
- Remove a like from a comment
- Delete a comment
View all comments on a dataset
GET
/api/datasets/{dataset-id}/comments
Returns all comments on the dataset {dataset-id}.
Prerequisites
- Dataset
{dataset-id}must exist
Request
Example Snippets
cURL
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.matatika.com:443/api/datasets/e754554c-fe59-4e3f-8230-de415709f4d9/comments' -i -X GET \
-H 'Accept: application/json, application/javascript, text/javascript, text/json'
Python (requests)
import requests
url = "https://app.matatika.com:443/api/datasets/e754554c-fe59-4e3f-8230-de415709f4d9/comments"
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("GET", url, headers=headers)
print(response.text.encode('utf8'))
Response
200 OK
Comment collection with HAL links.
{
"_embedded" : {
"datasetComments" : [ {
"id" : "32ca25b4-a05e-458d-a9fe-11ae776f30d9",
"message" : "SIT-generated reply Pesho [2026-02-26T16:29:46.327301922] to ",
"likeCount" : 0,
"likedByProfiles" : [ ],
"created" : "2026-02-26T16:29:46.364688",
"lastModified" : "2026-02-26T16:29:46.364688",
"from" : {
"id" : "auth0|5eb0327cbfd7490bff55feeb",
"name" : "[email protected]",
"handle" : "@sit+prod"
},
"commentCount" : 0,
"datasetId" : "e754554c-fe59-4e3f-8230-de415709f4d9",
"_links" : {
"update comment" : {
"href" : "https://app.matatika.com/api/datasets/e754554c-fe59-4e3f-8230-de415709f4d9/comments/32ca25b4-a05e-458d-a9fe-11ae776f30d9",
"type" : "PUT"
},
"delete comment" : {
"href" : "https://app.matatika.com/api/comments/32ca25b4-a05e-458d-a9fe-11ae776f30d9",
"type" : "DELETE"
},
"self" : {
"href" : "https://app.matatika.com/api/comments/32ca25b4-a05e-458d-a9fe-11ae776f30d9"
},
"add like" : {
"href" : "https://app.matatika.com/api/comments/32ca25b4-a05e-458d-a9fe-11ae776f30d9/like",
"type" : "PUT"
},
"new reply" : {
"href" : "https://app.matatika.com/api/comments/32ca25b4-a05e-458d-a9fe-11ae776f30d9",
"type" : "POST"
}
}
}, {
"id" : "fb92c17d-eeca-4604-80ef-54ac6edb33a2",
"message" : "SIT-generated reply Pesho [2026-02-26T16:29:46.220140051] to ",
"likeCount" : 0,
"likedByProfiles" : [ ],
"created" : "2026-02-26T16:29:46.263644",
"lastModified" : "2026-02-26T16:29:46.263644",
"from" : {
"id" : "auth0|5eb0327cbfd7490bff55feeb",
"name" : "[email protected]",
"handle" : "@sit+prod"
},
"commentCount" : 0,
"datasetId" : "e754554c-fe59-4e3f-8230-de415709f4d9",
"_links" : {
"update comment" : {
"href" : "https://app.matatika.com/api/datasets/e754554c-fe59-4e3f-8230-de415709f4d9/comments/fb92c17d-eeca-4604-80ef-54ac6edb33a2",
"type" : "PUT"
},
"delete comment" : {
"href" : "https://app.matatika.com/api/comments/fb92c17d-eeca-4604-80ef-54ac6edb33a2",
"type" : "DELETE"
},
"self" : {
"href" : "https://app.matatika.com/api/comments/fb92c17d-eeca-4604-80ef-54ac6edb33a2"
},
"add like" : {
"href" : "https://app.matatika.com/api/comments/fb92c17d-eeca-4604-80ef-54ac6edb33a2/like",
"type" : "PUT"
},
"new reply" : {
"href" : "https://app.matatika.com/api/comments/fb92c17d-eeca-4604-80ef-54ac6edb33a2",
"type" : "POST"
}
}
}, {
"id" : "3124bed7-8430-41fb-b1c2-a69262ec5c35",
"message" : "SIT-generated reply Pesho [2026-02-26T16:29:46.116815984] to ",
"likeCount" : 0,
"likedByProfiles" : [ ],
"created" : "2026-02-26T16:29:46.154987",
"lastModified" : "2026-02-26T16:29:46.154987",
"from" : {
"id" : "auth0|5eb0327cbfd7490bff55feeb",
"name" : "[email protected]",
"handle" : "@sit+prod"
},
"commentCount" : 0,
"datasetId" : "e754554c-fe59-4e3f-8230-de415709f4d9",
"_links" : {
"update comment" : {
"href" : "https://app.matatika.com/api/datasets/e754554c-fe59-4e3f-8230-de415709f4d9/comments/3124bed7-8430-41fb-b1c2-a69262ec5c35",
"type" : "PUT"
},
"delete comment" : {
"href" : "https://app.matatika.com/api/comments/3124bed7-8430-41fb-b1c2-a69262ec5c35",
"type" : "DELETE"
},
"self" : {
"href" : "https://app.matatika.com/api/comments/3124bed7-8430-41fb-b1c2-a69262ec5c35"
},
"add like" : {
"href" : "https://app.matatika.com/api/comments/3124bed7-8430-41fb-b1c2-a69262ec5c35/like",
"type" : "PUT"
},
"new reply" : {
"href" : "https://app.matatika.com/api/comments/3124bed7-8430-41fb-b1c2-a69262ec5c35",
"type" : "POST"
}
}
}, {
"id" : "537afe47-68ec-4e95-af7f-fbe451afe042",
"message" : "SIT-generated reply Pesho [2026-02-26T16:29:44.863238503] to ",
"likeCount" : 0,
"likedByProfiles" : [ ],
"created" : "2026-02-26T16:29:44.906542",
"lastModified" : "2026-02-26T16:29:44.906543",
"from" : {
"id" : "auth0|5eb0327cbfd7490bff55feeb",
"name" : "[email protected]",
"handle" : "@sit+prod"
},
"commentCount" : 3,
"datasetId" : "e754554c-fe59-4e3f-8230-de415709f4d9",
"_links" : {
"comments" : {
"href" : "https://app.matatika.com/api/datasets/e754554c-fe59-4e3f-8230-de415709f4d9/comments?parentId=537afe47-68ec-4e95-af7f-fbe451afe042",
"type" : "GET"
},
"edit-history" : {
"href" : "https://app.matatika.com/api/comments/537afe47-68ec-4e95-af7f-fbe451afe042/history",
"type" : "GET"
},
"update comment" : {
"href" : "https://app.matatika.com/api/datasets/e754554c-fe59-4e3f-8230-de415709f4d9/comments/537afe47-68ec-4e95-af7f-fbe451afe042",
"type" : "PUT"
},
"delete comment" : {
"href" : "https://app.matatika.com/api/comments/537afe47-68ec-4e95-af7f-fbe451afe042",
"type" : "DELETE"
},
"self" : {
"href" : "https://app.matatika.com/api/comments/537afe47-68ec-4e95-af7f-fbe451afe042"
},
"add like" : {
"href" : "https://app.matatika.com/api/comments/537afe47-68ec-4e95-af7f-fbe451afe042/like",
"type" : "PUT"
},
"new reply" : {
"href" : "https://app.matatika.com/api/comments/537afe47-68ec-4e95-af7f-fbe451afe042",
"type" : "POST"
}
}
} ]
},
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/datasets/e754554c-fe59-4e3f-8230-de415709f4d9/comments?page=0&size=20"
}
},
"page" : {
"size" : 20,
"totalElements" : 4,
"totalPages" : 1,
"number" : 0
}
}
View a comment
GET
/api/comments/{comment-id}
Returns the comment {comment-id}.
Prerequisites
- Comment
{comment-id}must exist
Request
Example Snippets
cURL
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.matatika.com:443/api/comments/97760145-1fee-4d78-922a-977832b0eac8' -i -X GET \
-H 'Accept: application/json, application/javascript, text/javascript, text/json'
Python (requests)
import requests
url = "https://app.matatika.com:443/api/comments/97760145-1fee-4d78-922a-977832b0eac8"
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("GET", url, headers=headers)
print(response.text.encode('utf8'))
Response
200 OK
Comment with HAL links.
{
"id" : "97760145-1fee-4d78-922a-977832b0eac8",
"message" : "SIT-generated reply Pesho [2026-02-26T16:29:47.107604130] to ",
"likeCount" : 0,
"likedByProfiles" : [ ],
"created" : "2026-02-26T16:29:47.137522",
"lastModified" : "2026-02-26T16:29:47.137523",
"from" : {
"id" : "auth0|5eb0327cbfd7490bff55feeb",
"name" : "[email protected]",
"handle" : "@sit+prod"
},
"commentCount" : 0,
"datasetId" : "e754554c-fe59-4e3f-8230-de415709f4d9",
"_links" : {
"edit-history" : {
"href" : "https://app.matatika.com/api/comments/97760145-1fee-4d78-922a-977832b0eac8/history",
"type" : "GET"
},
"update comment" : {
"href" : "https://app.matatika.com/api/datasets/e754554c-fe59-4e3f-8230-de415709f4d9/comments/97760145-1fee-4d78-922a-977832b0eac8",
"type" : "PUT"
},
"delete comment" : {
"href" : "https://app.matatika.com/api/comments/97760145-1fee-4d78-922a-977832b0eac8",
"type" : "DELETE"
},
"self" : {
"href" : "https://app.matatika.com/api/comments/97760145-1fee-4d78-922a-977832b0eac8"
},
"add like" : {
"href" : "https://app.matatika.com/api/comments/97760145-1fee-4d78-922a-977832b0eac8/like",
"type" : "PUT"
},
"new reply" : {
"href" : "https://app.matatika.com/api/comments/97760145-1fee-4d78-922a-977832b0eac8",
"type" : "POST"
}
}
}
View the edit history of a comment
GET
/api/comments/{comment-id}/history
Returns the edit history of the comment {comment-id}.
Prerequisites
- Comment
{comment-id}must exist
Request
Example Snippets
cURL
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.matatika.com:443/api/comments/97760145-1fee-4d78-922a-977832b0eac8/history' -i -X GET \
-H 'Accept: application/json, application/javascript, text/javascript, text/json'
Python (requests)
import requests
url = "https://app.matatika.com:443/api/comments/97760145-1fee-4d78-922a-977832b0eac8/history"
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("GET", url, headers=headers)
print(response.text.encode('utf8'))
Response
200 OK
[ {
"lastModified" : "2026-02-26T16:29:47.140",
"message" : "SIT-generated reply Pesho [2026-02-26T16:29:47.107604130] to ",
"editVersion" : "696479"
}, {
"lastModified" : "2026-02-26T16:29:47.274",
"message" : "SIT-generated reply Pesho [2026-02-26T16:29:47.239707992] to ",
"editVersion" : "696480"
} ]
View all replies to a comment
GET
/api/comments/{comment-id}
Returns all replies to the comment {comment-id}.
Prerequisites
- Comment
{comment-id}must exist
Request
Example Snippets
cURL
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.matatika.com:443/api/datasets/e754554c-fe59-4e3f-8230-de415709f4d9/comments?parentId=537afe47-68ec-4e95-af7f-fbe451afe042' -i -X GET \
-H 'Accept: application/json, application/javascript, text/javascript, text/json'
Python (requests)
import requests
url = "https://app.matatika.com:443/api/datasets/e754554c-fe59-4e3f-8230-de415709f4d9/comments?parentId=537afe47-68ec-4e95-af7f-fbe451afe042"
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("GET", url, headers=headers)
print(response.text.encode('utf8'))
Response
200 OK
Comment with HAL links.
{
"_embedded" : {
"datasetComments" : [ {
"id" : "1148b745-22b6-4e55-812a-3960745c80f4",
"message" : "SIT-generated reply Pesho [2026-02-26T16:29:45.524405538] to ",
"likeCount" : 0,
"likedByProfiles" : [ ],
"created" : "2026-02-26T16:29:45.557873",
"lastModified" : "2026-02-26T16:29:45.557873",
"from" : {
"id" : "auth0|5eb0327cbfd7490bff55feeb",
"name" : "[email protected]",
"handle" : "@sit+prod"
},
"commentCount" : 0,
"datasetId" : "e754554c-fe59-4e3f-8230-de415709f4d9",
"parentId" : "537afe47-68ec-4e95-af7f-fbe451afe042",
"_links" : {
"update comment" : {
"href" : "https://app.matatika.com/api/datasets/e754554c-fe59-4e3f-8230-de415709f4d9/comments/1148b745-22b6-4e55-812a-3960745c80f4",
"type" : "PUT"
},
"delete comment" : {
"href" : "https://app.matatika.com/api/comments/1148b745-22b6-4e55-812a-3960745c80f4",
"type" : "DELETE"
},
"self" : {
"href" : "https://app.matatika.com/api/comments/1148b745-22b6-4e55-812a-3960745c80f4"
},
"add like" : {
"href" : "https://app.matatika.com/api/comments/1148b745-22b6-4e55-812a-3960745c80f4/like",
"type" : "PUT"
},
"new reply" : {
"href" : "https://app.matatika.com/api/comments/1148b745-22b6-4e55-812a-3960745c80f4",
"type" : "POST"
}
}
}, {
"id" : "4dad66e6-79fa-4b35-8d46-17b3f8a58949",
"message" : "SIT-generated reply Pesho [2026-02-26T16:29:45.434267251] to ",
"likeCount" : 0,
"likedByProfiles" : [ ],
"created" : "2026-02-26T16:29:45.468201",
"lastModified" : "2026-02-26T16:29:45.468202",
"from" : {
"id" : "auth0|5eb0327cbfd7490bff55feeb",
"name" : "[email protected]",
"handle" : "@sit+prod"
},
"commentCount" : 0,
"datasetId" : "e754554c-fe59-4e3f-8230-de415709f4d9",
"parentId" : "537afe47-68ec-4e95-af7f-fbe451afe042",
"_links" : {
"edit-history" : {
"href" : "https://app.matatika.com/api/comments/4dad66e6-79fa-4b35-8d46-17b3f8a58949/history",
"type" : "GET"
},
"update comment" : {
"href" : "https://app.matatika.com/api/datasets/e754554c-fe59-4e3f-8230-de415709f4d9/comments/4dad66e6-79fa-4b35-8d46-17b3f8a58949",
"type" : "PUT"
},
"delete comment" : {
"href" : "https://app.matatika.com/api/comments/4dad66e6-79fa-4b35-8d46-17b3f8a58949",
"type" : "DELETE"
},
"self" : {
"href" : "https://app.matatika.com/api/comments/4dad66e6-79fa-4b35-8d46-17b3f8a58949"
},
"add like" : {
"href" : "https://app.matatika.com/api/comments/4dad66e6-79fa-4b35-8d46-17b3f8a58949/like",
"type" : "PUT"
},
"new reply" : {
"href" : "https://app.matatika.com/api/comments/4dad66e6-79fa-4b35-8d46-17b3f8a58949",
"type" : "POST"
}
}
}, {
"id" : "108d18fc-e95e-4f23-997c-2a948aaecee1",
"message" : "SIT-generated reply Pesho [2026-02-26T16:29:45.325077844] to ",
"likeCount" : 0,
"likedByProfiles" : [ ],
"created" : "2026-02-26T16:29:45.362441",
"lastModified" : "2026-02-26T16:29:45.362441",
"from" : {
"id" : "auth0|5eb0327cbfd7490bff55feeb",
"name" : "[email protected]",
"handle" : "@sit+prod"
},
"commentCount" : 0,
"datasetId" : "e754554c-fe59-4e3f-8230-de415709f4d9",
"parentId" : "537afe47-68ec-4e95-af7f-fbe451afe042",
"_links" : {
"update comment" : {
"href" : "https://app.matatika.com/api/datasets/e754554c-fe59-4e3f-8230-de415709f4d9/comments/108d18fc-e95e-4f23-997c-2a948aaecee1",
"type" : "PUT"
},
"delete comment" : {
"href" : "https://app.matatika.com/api/comments/108d18fc-e95e-4f23-997c-2a948aaecee1",
"type" : "DELETE"
},
"self" : {
"href" : "https://app.matatika.com/api/comments/108d18fc-e95e-4f23-997c-2a948aaecee1"
},
"add like" : {
"href" : "https://app.matatika.com/api/comments/108d18fc-e95e-4f23-997c-2a948aaecee1/like",
"type" : "PUT"
},
"new reply" : {
"href" : "https://app.matatika.com/api/comments/108d18fc-e95e-4f23-997c-2a948aaecee1",
"type" : "POST"
}
}
} ]
},
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/datasets/e754554c-fe59-4e3f-8230-de415709f4d9/comments?parentId=537afe47-68ec-4e95-af7f-fbe451afe042&page=0&size=20"
}
},
"page" : {
"size" : 20,
"totalElements" : 3,
"totalPages" : 1,
"number" : 0
}
}
Initialise a comment on a dataset
POST
/api/datasets/{dataset-id}/comments
Initialises a new comment on the dataset {dataset-id}.
Prerequisites
- Dataset
{dataset-id}must exist
Request
Example Snippets
cURL
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.matatika.com:443/api/datasets/e754554c-fe59-4e3f-8230-de415709f4d9/comments' -i -X POST \
-H 'Accept: application/json, application/javascript, text/javascript, text/json' \
-H 'Content-Type: application/json'
Python (requests)
import requests
url = "https://app.matatika.com:443/api/datasets/e754554c-fe59-4e3f-8230-de415709f4d9/comments"
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("POST", url, headers=headers)
print(response.text.encode('utf8'))
Response
200 OK
Comment with HAL links.
{
"id" : "e0b4c7ca-1f4e-42bf-b380-8700d287fcbd",
"likeCount" : 0,
"likedByProfiles" : [ ],
"created" : "2026-02-26T16:29:46.955285354",
"lastModified" : "2026-02-26T16:29:46.955285654",
"from" : {
"id" : "auth0|5eb0327cbfd7490bff55feeb",
"name" : "[email protected]",
"handle" : "@sit+prod"
},
"commentCount" : 0,
"datasetId" : "e754554c-fe59-4e3f-8230-de415709f4d9",
"_links" : {
"create comment" : {
"href" : "https://app.matatika.com/api/datasets/e754554c-fe59-4e3f-8230-de415709f4d9/comments/e0b4c7ca-1f4e-42bf-b380-8700d287fcbd",
"type" : "PUT"
}
}
}
Initialise a reply to a comment
POST
/api/comments/{comment-id}
Initialises a new reply comment to the comment {comment-id}.
Prerequisites
- Comment
{comment-id}must exist
Request
Example Snippets
cURL
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.matatika.com:443/api/comments/537afe47-68ec-4e95-af7f-fbe451afe042' -i -X POST \
-H 'Accept: application/json, application/javascript, text/javascript, text/json' \
-H 'Content-Type: application/json'
Python (requests)
import requests
url = "https://app.matatika.com:443/api/comments/537afe47-68ec-4e95-af7f-fbe451afe042"
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("POST", url, headers=headers)
print(response.text.encode('utf8'))
Response
200 OK
Comment with HAL links.
{
"id" : "f944aa7e-c212-4e64-90b7-00c74a3f1421",
"likeCount" : 0,
"likedByProfiles" : [ ],
"created" : "2026-02-26T16:29:46.620554116",
"lastModified" : "2026-02-26T16:29:46.620554416",
"from" : {
"id" : "auth0|5eb0327cbfd7490bff55feeb",
"name" : "[email protected]",
"handle" : "@sit+prod"
},
"commentCount" : 0,
"datasetId" : "e754554c-fe59-4e3f-8230-de415709f4d9",
"parentId" : "537afe47-68ec-4e95-af7f-fbe451afe042",
"_links" : {
"create comment" : {
"href" : "https://app.matatika.com/api/datasets/e754554c-fe59-4e3f-8230-de415709f4d9/comments/f944aa7e-c212-4e64-90b7-00c74a3f1421",
"type" : "PUT"
}
}
}
Create a comment
PUT
/api/comments/{comment-id}
Creates the comment {comment-id}.
Prerequisites
- The comment must have been initialised in order to create it
- The target dataset
{dataset-id}or comment{comment-id}must exist
Request
Body
Comment resource.
{
"message" : "SIT-generated reply Pesho [2026-02-26T16:29:46.448643781] to ",
"datasetId" : "e754554c-fe59-4e3f-8230-de415709f4d9"
}
Example Snippets
cURL
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.matatika.com:443/api/datasets/e754554c-fe59-4e3f-8230-de415709f4d9/comments/2dcbfa2d-10cd-44b9-977c-f8d6fdd89bf3' -i -X PUT \
-H 'Accept: application/json, application/javascript, text/javascript, text/json' \
-H 'Content-Type: application/json' \
-d '{
"message" : "SIT-generated reply Pesho [2026-02-26T16:29:46.448643781] to ",
"datasetId" : "e754554c-fe59-4e3f-8230-de415709f4d9"
}'
Python (requests)
import requests
url = "https://app.matatika.com:443/api/datasets/e754554c-fe59-4e3f-8230-de415709f4d9/comments/2dcbfa2d-10cd-44b9-977c-f8d6fdd89bf3"
data = {
"message" : "SIT-generated reply Pesho [2026-02-26T16:29:46.448643781] to ",
"datasetId" : "e754554c-fe59-4e3f-8230-de415709f4d9"
}
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("PUT", url, headers=headers, data=data)
print(response.text.encode('utf8'))
Response
201 Created
Comment with HAL links.
{
"id" : "2dcbfa2d-10cd-44b9-977c-f8d6fdd89bf3",
"message" : "SIT-generated reply Pesho [2026-02-26T16:29:46.448643781] to ",
"likeCount" : 0,
"likedByProfiles" : [ ],
"created" : "2026-02-26T16:29:46.545486331",
"lastModified" : "2026-02-26T16:29:46.545486631",
"from" : {
"id" : "auth0|5eb0327cbfd7490bff55feeb",
"name" : "[email protected]",
"handle" : "@sit+prod"
},
"commentCount" : 0,
"datasetId" : "e754554c-fe59-4e3f-8230-de415709f4d9",
"_links" : {
"edit-history" : {
"href" : "https://app.matatika.com/api/comments/2dcbfa2d-10cd-44b9-977c-f8d6fdd89bf3/history",
"type" : "GET"
},
"update comment" : {
"href" : "https://app.matatika.com/api/datasets/e754554c-fe59-4e3f-8230-de415709f4d9/comments/2dcbfa2d-10cd-44b9-977c-f8d6fdd89bf3",
"type" : "PUT"
},
"delete comment" : {
"href" : "https://app.matatika.com/api/comments/2dcbfa2d-10cd-44b9-977c-f8d6fdd89bf3",
"type" : "DELETE"
},
"self" : {
"href" : "https://app.matatika.com/api/comments/2dcbfa2d-10cd-44b9-977c-f8d6fdd89bf3"
},
"add like" : {
"href" : "https://app.matatika.com/api/comments/2dcbfa2d-10cd-44b9-977c-f8d6fdd89bf3/like",
"type" : "PUT"
},
"new reply" : {
"href" : "https://app.matatika.com/api/comments/2dcbfa2d-10cd-44b9-977c-f8d6fdd89bf3",
"type" : "POST"
}
}
}
Update a comment
PUT
/api/comments/{comment-id}
Updates the comment {comment-id}.
Prerequisites
- Comment
{comment-id}must exist
Request
Body
Comment resource.
{
"message" : "SIT-generated reply Pesho [2026-02-26T16:29:46.981402448] to "
}
Example Snippets
cURL
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.matatika.com:443/api/comments/97760145-1fee-4d78-922a-977832b0eac8' -i -X GET \
-H 'Accept: application/json, application/javascript, text/javascript, text/json'
Python (requests)
import requests
url = "https://app.matatika.com:443/api/comments/97760145-1fee-4d78-922a-977832b0eac8"
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("GET", url, headers=headers)
print(response.text.encode('utf8'))
Response
200 OK
Comment with HAL links.
{
"id" : "97760145-1fee-4d78-922a-977832b0eac8",
"message" : "SIT-generated reply Pesho [2026-02-26T16:29:47.107604130] to ",
"likeCount" : 0,
"likedByProfiles" : [ ],
"created" : "2026-02-26T16:29:47.137522",
"lastModified" : "2026-02-26T16:29:47.137523",
"from" : {
"id" : "auth0|5eb0327cbfd7490bff55feeb",
"name" : "[email protected]",
"handle" : "@sit+prod"
},
"commentCount" : 0,
"datasetId" : "e754554c-fe59-4e3f-8230-de415709f4d9",
"_links" : {
"edit-history" : {
"href" : "https://app.matatika.com/api/comments/97760145-1fee-4d78-922a-977832b0eac8/history",
"type" : "GET"
},
"update comment" : {
"href" : "https://app.matatika.com/api/datasets/e754554c-fe59-4e3f-8230-de415709f4d9/comments/97760145-1fee-4d78-922a-977832b0eac8",
"type" : "PUT"
},
"delete comment" : {
"href" : "https://app.matatika.com/api/comments/97760145-1fee-4d78-922a-977832b0eac8",
"type" : "DELETE"
},
"self" : {
"href" : "https://app.matatika.com/api/comments/97760145-1fee-4d78-922a-977832b0eac8"
},
"add like" : {
"href" : "https://app.matatika.com/api/comments/97760145-1fee-4d78-922a-977832b0eac8/like",
"type" : "PUT"
},
"new reply" : {
"href" : "https://app.matatika.com/api/comments/97760145-1fee-4d78-922a-977832b0eac8",
"type" : "POST"
}
}
}
Record a like of a comment
PUT
/api/comments/{comment-id}/like
Records a like of the comment {comment-id} from the authenticated user profile.
Prerequisites
- Comment
{comment-id}must exist
Request
Example Snippets
cURL
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.matatika.com:443/api/comments/537afe47-68ec-4e95-af7f-fbe451afe042/like' -i -X PUT \
-H 'Accept: application/json, application/javascript, text/javascript, text/json' \
-H 'Content-Type: application/json'
Python (requests)
import requests
url = "https://app.matatika.com:443/api/comments/537afe47-68ec-4e95-af7f-fbe451afe042/like"
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("PUT", url, headers=headers)
print(response.text.encode('utf8'))
Response
200 OK
No response body provided.
Remove a like from a comment
DELETE
/api/comments/{comment-id}/like
Removes a like of the comment {comment-id} from the authenticated user profile.
Prerequisites
- Comment
{comment-id}must exist
Request
Example Snippets
cURL
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.matatika.com:443/api/comments/537afe47-68ec-4e95-af7f-fbe451afe042/like' -i -X DELETE \
-H 'Accept: application/json, application/javascript, text/javascript, text/json'
Python (requests)
import requests
url = "https://app.matatika.com:443/api/comments/537afe47-68ec-4e95-af7f-fbe451afe042/like"
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("DELETE", url, headers=headers)
print(response.text.encode('utf8'))
Response
204 No Content
No response body provided.
Delete a comment
DELETE
/api/comments/{comment-id}
Deletes the comment {comment-id}.
Prerequisites
- Comment
{comment-id}must exist
Request
Example Snippets
cURL
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.matatika.com:443/api/comments/b68297c3-8f7a-42f8-98fd-5b654aad5f61' -i -X DELETE \
-H 'Accept: application/json, application/javascript, text/javascript, text/json'
Python (requests)
import requests
url = "https://app.matatika.com:443/api/comments/b68297c3-8f7a-42f8-98fd-5b654aad5f61"
headers = {
'Authorization': ACCESS_TOKEN
}
response = requests.request("DELETE", url, headers=headers)
print(response.text.encode('utf8'))
Response
204 No Content
No response body provided.